Summarize the advice requested and provided by experts when drafting the Code of Conduct
Closed, ResolvedPublic

Description

Following on a request by @Fae:

The promoters of T90908: Goal: Binding code of conduct for all Wikimedia technical spaces with consequences for breaches have requested support from specialists in this area, and for this reason the Community Engagement department has contracted consultancy services. This task consists of documenting the requests made and the advice received, especially when this resulted in changes to the draft.

A couple of preliminary notes:

  • The process used to work with Ashe and Valerie has basically consisted on @Mattflaschen-WMF channeling questions to them and processing their feedback. A couple of meetings have been held, but most of the conversation has happened via comments on shared docs or email.
  • The decision to have Matt as a proxy for questions (as opposed to have these consultants participating directly in the CoC discussion) was economical: we had a limited budget paid by the hour, and we wanted to focus consultant time addressing specific questions filtered by us, rather than in a few discussions in that page, as extensive as they can be.
  • Fae has requested this information several times. We haven't addressed his request so far basically because producing this summary takes time, and we have been busy. By creating this task, we are making clear that this request is in our backlog.

Support provided by experts for the Code of Conduct work

Last year, those working on the Code of Conduct requested support from experts in order to obtain better coverage on specialized topics out of our areas of expertise. This request was satisfied with the assignment of points of contact from the Wikimedia Foundation Support & Safety, Legal, Talent & Culture teams, and the approval of a budget for consultancy.

These are the topics that we have requested support about:

  • General review of the draft as of January 2016, including but not limited to
    • Unacceptable behavior.
    • Simple vs Complex cases.
  • Discrimination against marginalized groups.
  • Legal issues regarding sharing information with WMF.
  • Immediate and long term responses.
  • Requesting apology publicly vs. privately.
  • Appeal process and Developer Relations (now Technical Collaboration) as appeal team.
  • Code of Conduct committee bootstrap, terms, and renewals.
  • Familiarity of Wikimedia tech community for committee membership.
  • Wording regarding Conflict of Interest.
  • How to best contact the committee.
  • Approval of the CoC / rollout process.
  • Training for Code of conduct committee members.

Most of the topics above just required a double check regarding legal issues, usual practices, or a better knowledge of precedents in other organizations. The topics where we have required more support are legal issues relating to reporting requirements and the approval of the CoC, where we are trying to find the most reasonable balance between expectations expressed in the CoC feedback rounds and regular practices in organizations having a CoC or similar processes in place.

Qgil created this task.Aug 1 2016, 5:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 5:21 PM
Qgil updated the task description. (Show Details)Aug 1 2016, 5:23 PM
Qgil raised the priority of this task from Low to Normal.Aug 30 2016, 6:11 AM
Qgil raised the priority of this task from Normal to High.Sep 1 2016, 10:01 AM
Qgil added a subscriber: CKoerner_WMF.

Very kindly @CKoerner_WMF has offered help to dig out the information, and the work is progressing. Thank you!

scfc added a subscriber: scfc.Oct 25 2016, 12:34 PM
Qgil closed this task as Resolved.Dec 22 2016, 9:21 PM
Qgil updated the task description. (Show Details)
Qgil added a comment.Dec 22 2016, 9:24 PM

OK, I have added the summary in the task description.